using System;
using System.Collections.Generic;

public interface ICustomerManager
{
	ICustomer AddCustomer(string name);
	void RemoveCustomer(ICustomer customer);
	ICustomer GetCustomer(string name);
	ICustomer GetCustomer(int id);
    IList<ICustomer> GetCustomers();
    void AddOrderForCustomer(ICustomer customer, IList<string> items);
}

