using System;

//singleton pattern
public class CustomerManagerFactory
{
    private static ICustomerManager manager = null;

	public static ICustomerManager CreateCustomerManager()
	{
        if (manager == null)
            manager = new CustomerManager();

		return manager;
	}
}


