﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace CustomerManagerTest
{
    /// <summary>
    /// Summary description for UnitTest1
    /// </summary>
    [TestClass]
    public class CustomerManagerTests
    {
        public CustomerManagerTests()
        {
            //
            // TODO: Add constructor logic here
            //
        }

        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        //
        // You can use the following additional attributes as you write your tests:
        //
        // Use ClassInitialize to run code before running the first test in the class
        // [ClassInitialize()]
        // public static void MyClassInitialize(TestContext testContext) { }
        //
        // Use ClassCleanup to run code after all tests in a class have run
        // [ClassCleanup()]
        // public static void MyClassCleanup() { }
        //
        // Use TestInitialize to run code before running each test 
        // [TestInitialize()]
        // public void MyTestInitialize() { }
        //
        // Use TestCleanup to run code after each test has run
        // [TestCleanup()]
        // public void MyTestCleanup() { }
        //
        #endregion

        [TestMethod]
        public void CustomerManagerTest()
        {
            ICustomerManager cm = CustomerManagerFactory.CreateCustomerManager();
            ICustomer customer = cm.AddCustomer("Peter Paul");
            ICustomer customer2 = cm.GetCustomer(customer.Id);
            Assert.AreEqual(customer.Name, customer2.Name, "Different customer found.");           
        }

        [TestMethod]
        public void CustomerManagerTest2()
        {
            CustomerDataMapper dm = new CustomerDataMapper();
            CustomerManager cm = new CustomerManager(dm);
            ICustomer customer = cm.AddCustomer("Peter Paul");
            ICustomer customer2 = cm.GetCustomer(customer.Id);
            Assert.AreEqual(customer.Name, customer2.Name, "Different customer found.");           
        }
    }
}
