﻿using System;
using System.Collections.Generic;

public class Criteria
{
    public string Operator { get; set; }
    public object Operand { get; set; }
}

public class CustomerRepository
{
    ICustomerDataMapper dm = null;

    public CustomerRepository(ICustomerDataMapper dm)
    {
        this.dm = dm;
    }

    public IList<ICustomer> Query(Criteria criteria)
    {
        IList<ICustomer> list = null;

        if (criteria.Operator == "All")
        {
            list = dm.GetCustomers(null);
            return list;
        }
        else if (criteria.Operator == "Id")
        {
            List<int> input = new List<int>();
            int id = (int)criteria.Operand;
            input.Add(id);

            list = dm.GetCustomers(input);
            if (list.Count == 0)
                return null;
            else
                return list;
        }
        else if (criteria.Operator == "Name")
        {
            IList<ICustomer> start = dm.GetCustomers(null);
            string name = (string)criteria.Operand;

            foreach (ICustomer cust in start)
            {
                if (cust.Name == name)
                {
                    list = new List<ICustomer>();
                    list.Add(cust);
                    return list;
                }
            }

            return null;   


        }
        else
            throw new Exception("Unknown operator");
    }
}
