using System;

//singleton pattern
public class CustomerManagerFactory
{
    private static CustomerManager manager = null;

	public static ICustomerManager CreateCustomerManager()
	{
        if (manager == null)
        {
            CustomerDataMapper dm = new CustomerDataMapper();
            manager = new CustomerManager(dm);
        }

		return manager;
	}
}


